------------------------------------------------------------------------------------------------------
-- Necrosis LdC
--
-- Crateur initial (US) : Infernal (http://www.revolvus.com/games/interface/necrosis/)
-- Implmentation de base (FR) : Tilienna Thorondor
-- Reprise du projet : Lomig & Nyx des Larmes de Cenarius, Kael'Thas
-- 
-- Skins et voix Franaises : Eliah, Ner'zhul
-- Version Allemande par Arne Meier
-- Remerciements spciaux pour Sadyre (JoL)
-- Version 7.02.2006-1
------------------------------------------------------------------------------------------------------



------------------------------------------------
-- GERMAN  VERSION FUNCTIONS --
------------------------------------------------

if ( GetLocale() == "deDE" ) then

NECROSIS_UNIT_WARLOCK = "Hexenmeister";

NECROSIS_ANTI_FEAR_SPELL = {
	-- Buffs die temporre Immunitt gegenber Furcht geben
	["Buff"] = {
		"Fear Ward",			-- Dwarf priest racial trait
		"Wille der Verlassenen",	-- Forsaken racial trait
		"Furchtlos",			-- Trinket
		"Berserkerwut",			-- Warrior Fury talent
		"Tollk\195\188hnheit",		-- Warrior Fury talent
		"Todeswunsch",			-- Warrior Fury talent
		"Zorn des Wildtieres",		-- Hunter Beast Mastery talent (pet only)
		"Eisblock",			-- Mage Ice talent
		"G\195\182ttlicher Schutz",	-- Paladin Holy buff
		"Gottesschild",			-- Paladin Holy buff
		"Totem des Erdsto\195\159es",	-- Shaman totem
		"Abolish Magic"			-- Majordomo (NPC) spell
		--  "Grounding Totem" is not considerated, as it can remove other spell than fear, and only one each 10 sec.		
	},

	-- Debuffs and curses giving temporary immunity to fear effects
	["Debuff"] = {
		"Fluch der Tollk\195\188hnheit"		-- Warlock curse
	}
};

-- Creature type absolutly immune to fear effects
NECROSIS_ANTI_FEAR_UNIT = {
	"Untoter"
};

-- Word to search for spell immunity. First (.+) replace the spell's name, 2nd (.+) replace the creature's name
NECROSIS_ANTI_FEAR_SRCH = "Your (.+) failed. (.+) is immune."

NecrosisDemon = {
	["Wichtel"] = {
		["Spell"] = {"Phasenverschiebung","Feuerblitz","Feuerschild","Blutpakt"},
		["Time"] = {0,0,0,0},
		["Cooldown"] = {10,2,0,0},
	},
	["Leerwandler"] = {
		["Spell"] = {"Schatten verzehren","Qual","Leiden","Opferung"},
		["Time"] = {0,0,0,0},
		["Cooldown"] = {10,5,120,0}
	},
	["Sukkubus"] = {
		["Spell"] = {"Schmerzenspeitsche","Verf\195\188hrung","Bes\195\164nftigender Kuss","Geringe Unsichtbarkeit"},
		["Time"] = {0,0,0,0},
		["Cooldown"] = {12,0,4,0}
	},
	["Teufelsj\195\164ger"] = {
		["Spell"] = {"Besudeltes Blut","Festzaubern","Paranoia","Magie verschlingen"},
		["Time"] = {0,0,0,0},
		["Cooldown"] = {0,30,0,8}
	},
	["Verdammniswache"] = {
		["Spell"] = {"Donnerstampfer","Feuerregen","Verkr\195\188ppeln"},
		["Time"] = {0,0,0},
		["Cooldown"] = {5,5,20}
	},
};

NECROSIS_SPELL_TABLE = {
	["ID"] = {},
	["Rank"] = {},
	["Name"] = {
		"Teufelsross beschw\195\182ren",			--1
		"Schreckensross herbeirufen",				--2
		"Wichtel beschw\195\182ren",				--3
		"Leerwandler beschw\195\182ren",			--4
		"Sukkubus beschw\195\182ren",				--5
		"Teufelsj\195\164ger beschw\195\182ren",		--6
		"Schattenblitz",					--7
		"Inferno",						--8
		"Verbannen",						--9
		"D\195\164monensklave",					--10
		"Seelenstein-Auferstehung",				--11
		"Feuerbrand",						--12
		"Furcht",						--13
		"Verderbnis",						--14
		"Teufelsbeherrschung",					--15
		"Fluch der Verdammnis",					--16
		"Opferung",						--17
		"Seelenfeuer",						--18
		"Todesmantel",						--19
		"Schattenbrand",					--20
		"Feuersbrunst",						--21
		"Fluch der Pein",					--22
		"Fluch der Schw\195\164che",				--23
		"Fluch der Tollk\195\188hnheit",			--24
		"Fluch der Sprachen",					--25
		"Fluch der Elemente",					--26
		"Schattenfluch",					--27
		"Lebensentzug",						--28
		"Schreckengeh\195\164ul",				--29
		"Ritual der Verdammnis",				--30
		"D\195\164monenr\195\188stung",				--31
		"Unendlicher Atem",					--32
		"Unsichtbarkeit",					--33
		"Auge von Kilrogg",					--34
		"D\195\164monensklave",					--35
		"D\195\164monenhaut",					--36
		"Ritual der Beschw\195\182rung",			--37
		"Seelenverbindung",					--38
		"D\195\164monen sp\195\188ren",				--39
	},
	["CastTime"] = {},
	["Mana"] = {},
	["Length"] = {
		0,							--1
		0,							--2
		0,							--3
		0,							--4
		0,							--5
		0,							--6
		0,							--7
		3600,							--8
		30,							--9
		30000,							--10
		1800,							--11
		15,							--12
		15,							--13
		17,							--14
		900,							--15
		60,							--16
		30,							--17
		60,							--18
		120,							--19
		15,							--20
		10,							--21
		24,							--22
		120,							--23
		120,							--24
		30,							--25
		300,							--26
		300,							--27
		30,							--28
		40,							--29
		0,							--30
		0,							--31
		0,							--32
		0,							--33
		0,							--34
		0,							--35
		0,							--36
		0,							--37
		0,							--38
		0,							--39
	},
	["Type"] = {
		0,							--1
		0,							--2
		0,							--3
		0,							--4
		0,							--5
		0,							--6
		0,							--7
		3,							--8
		2,							--9
		2,							--10
		1,							--11
		5,							--12
		5,							--13
		5,							--14
		3,							--15
		3,							--16
		3,							--17
		3,							--18
		3,							--19
		3,							--20
		3,							--21	
		4,							--22
		4,							--23
		4,							--24
		4,							--25
		4,							--26
		4,							--27
		5,							--28
		3,							--29
		0,							--30
		0,							--31
		0,							--32
		0,							--33
		0,							--34
		0,							--35
		0,							--36
		0,							--37
		0,							--38
		0,							--39
	}
};
-- Type 0 = Pas de Timer
-- Type 1 = Timer permanent principal
-- Type 2 = Timer permanent
-- Type 3 = Timer de cooldown
-- Type 4 = Timer de maldiction
-- Type 5 = Timer de combat

NECROSIS_ITEM = {
	["Soulshard"] = "Seelensplitter",
	["Soulstone"] = "Seelenstein",
	["Healthstone"] = "Gesundheitsstein",
	["Spellstone"] = "Zauberstein",
	["Firestone"] = "Feuerstein",
	["Offhand"] = "Nebenhand",
	["Twohand"] = "Zwei-Hand",
	["InfernalStone"] = "H\195\182llenstein",
	["DemoniacStone"] = "D\195\164monenstatuette",
	["Hearthstone"] = "Ruhestein",
	["SoulPouch"] = {"Seelenbeutel", "Teufelsstofftasche", "Kernteufelsstofftasche"}	
};


NECROSIS_STONE_RANK = {
	[1] = "schwach",	-- Rank Minor
	[2] = "gering",		-- Rank Lesser
	[3] = "",		-- Rank Intermediate, no name
	[4] = "gro\195\159",	-- Rank Greater
	[5] = "erheblich"	-- Rank Major
};

NECROSIS_NIGHTFALL = {
	["BoltName"] = "blitz",
	["ShadowTrance"] = "Schattentrance"
};

NECROSIS_CREATE = {
	["Soulstone"] = "Seelenstein herstellen",
	["Healthstone"] = "Gesundheitsstein herstellen",
	["Spellstone"] = "Zauberstein herstellen",
	["Firestone"] = "Feuerstein herstellen"
};

NECROSIS_PET_LOCAL_NAME = {
	["Imp"] = "Wichtel",
	["Void"] = "Leerwandler",
	["Succubus"] = "Sukkubus",
	["Fel"] = "Teufelsj\195\164ger",
	["Inferno"] = "H\195\182llenbestie",
	["Doomguard"] = "Verdammniswache"
};

NECROSIS_TRANSLATION = {
	["Cooldown"] = "Cooldown",
	["Hearth"] = "Ruhestein",
	["Rank"] = "Rang",	 
	["Invisible"] = "Unsichtbarkeit",
	["LesserInvisible"] = "kleine",
	["GreaterInvisible"] = "gro\195\159e",
	["SoulLinkGain"] = "Du bekommst Seelenverbindung.",
	["SacrificeGain"] = "Du bekommst Opferung.",
	["SummoningRitual"] = "Ritual der Beschw\195\182rung"
};

end
