------------------------------------------------------------------------------------------------------
-- Necrosis LdC
--
-- Crateur initial (US) : Infernal (http://www.revolvus.com/games/interface/necrosis/)
-- Implmentation de base (FR) : Tilienna Thorondor
-- Reprise du projet : Lomig & Nyx des Larmes de Cenarius, Kael'Thas
--
-- Skins et voix Franaises : Eliah, Ner'zhul
-- Version Allemande par Arne Meier
-- Remerciements spciaux pour Sadyre (JoL)
-- Version 7.02.2006-1
------------------------------------------------------------------------------------------------------



------------------------------------------------
-- ENGLISH  VERSION FUNCTIONS --
------------------------------------------------

if ( GetLocale() == "enUS" ) or ( GetLocale() == "enGB" ) then

NECROSIS_UNIT_WARLOCK = "Warlock";

NECROSIS_ANTI_FEAR_SPELL = {
	-- Buffs giving temporary immunity to fear effects
	["Buff"] = {
		"Fear Ward",			-- Dwarf priest racial trait
		"Will of the Forsaken",		-- Forsaken racial trait
		"Fearless",			-- Trinket
		"Berzerker Rage",		-- Warrior Fury talent
		"Recklessness",			-- Warrior Fury talent
		"Death Wish",			-- Warrior Fury talent
		"Bestial Wrath",		-- Hunter Beast Mastery talent (pet only)
		"Ice Block",			-- Mage Ice talent
		"Divine Protection",		-- Paladin Holy buff
		"Divine Shield",		-- Paladin Holy buff
		"Tremor Totem",			-- Shaman totem
		"Abolish Magic"			-- Majordomo (NPC) spell
		--  "Grounding Totem" is not considerated, as it can remove other spell than fear, and only one each 10 sec.		
	},

	-- Debuffs and curses giving temporary immunity to fear effects
	["Debuff"] = {
		"Curse of Recklessness"		-- Warlock curse
	}
};

-- Creature type absolutly immune to fear effects
NECROSIS_ANTI_FEAR_UNIT = {
	"Undead"
};

-- Word to search for spell immunity. First (.+) replace the spell's name, 2nd (.+) replace the creature's name
NECROSIS_ANTI_FEAR_SRCH = "Your (.+) failed. (.+) is immune."

NecrosisDemon = {
	["Imp"] = {
		["Spell"] = {"Phase Shift","Firebolt","Fire Shield","Blood Pact"},
		["Time"] = {0,0,0,0},
		["Cooldown"] = {10,2,0,0},
	},
	["Voidwalker"] = {
		["Spell"] = {"Consume Shadows","Torment","Suffering","Sacrifice"},
		["Time"] = {0,0,0,0},
		["Cooldown"] = {10,5,120,0}
	},
	["Succubus"] = {
		["Spell"] = {"Lash of Pain","Seduction","Soothing Kiss","Lesser Invisibility"},
		["Time"] = {0,0,0,0},
		["Cooldown"] = {12,0,4,0}
	},
	["Felhunter"] = {
		["Spell"] = {"Tainted Blood","Spell Lock","Paranoia","Devour Magic"},
		["Time"] = {0,0,0,0},
		["Cooldown"] = {0,30,0,8}
	},
	["Doomguard"] = {
		["Spell"] = {"Thunderstomp","Fire Rain","Cripple"},
		["Time"] = {0,0,0},
		["Cooldown"] = {5,5,20}
	},
};

NECROSIS_SPELL_TABLE = {
	["ID"] = {},
	["Rank"] = {},
	["Name"] = {
		"Summon Felsteed",					--1
		"Summon Dreadsteed",					--2
		"Summon Imp",						--3
		"Summon Voidwalker",					--4
		"Summon Succubus",					--5
		"Summon Felhunter",					--6
		"Shadow Bolt",						--7
		"Inferno",						--8
		"Banish",						--9
		"Enslave Demon",					--10
		"Soulstone Resurrection",				--11
		"Immolate",						--12
		"Fear",							--13
		"Corruption",						--14
		"Fel Domination",					--15
		"Curse of Doom",					--16
		"Sacrifice",						--17
		"Soul Fire",						--18
		"Death Coil",						--19
		"Shadowburn",						--20
		"Conflagrate",						--21
		"Curse of Agony",					--22
		"Curse of Weakness",					--23
		"Curse of Recklessness",				--24
		"Curse of Tongues",					--25
		"Curse of the Elements",				--26
		"Curse of Shadow",					--27
		"Siphon Life",						--28
		"Howl of Terror",					--29
		"Ritual of Doom",					--30
		"Demon Armor",						--31
		"Unending Breath",					--32
		"Invisibility",						--33
		"Eye of Kilrogg",					--34
		"Enslave Demon",					--35
		"Demon Skin",						--36
		"Ritual of Summoning",					--37
		"Soul Link",						--38
		"Sense Demons",						--39
	},
	["CastTime"] = {},
	["Mana"] = {},
	["Length"] = {
		0,							--1
		0,							--2
		0,							--3
		0,							--4
		0,							--5
		0,							--6
		0,							--7
		3600,							--8
		30,							--9
		30000,							--10
		1800,							--11
		15,							--12
		15,							--13
		17,							--14
		900,							--15
		60,							--16
		30,							--17
		60,							--18
		120,							--19
		15,							--20
		10,							--21
		24,							--22
		120,							--23
		120,							--24
		30,							--25
		300,							--26
		300,							--27
		30,							--28
		40,							--29
		0,							--30
		0,							--31
		0,							--32
		0,							--33
		0,							--34
		0,							--35
		0,							--36
		0,							--37
		0,							--38
		0,							--39
	},
	["Type"] = {
		0,							--1
		0,							--2
		0,							--3
		0,							--4
		0,							--5
		0,							--6
		0,							--7
		3,							--8
		2,							--9
		2,							--10
		1,							--11
		5,							--12
		5,							--13
		5,							--14
		3,							--15
		3,							--16
		3,							--17
		3,							--18
		3,							--19
		3,							--20
		3,							--21	
		4,							--22
		4,							--23
		4,							--24
		4,							--25
		4,							--26
		4,							--27
		5,							--28
		3,							--29
		0,							--30
		0,							--31
		0,							--32
		0,							--33
		0,							--34
		0,							--35
		0,							--36
		0,							--37
		0,							--38
		0,							--39
	}
};
-- Type 0 = Pas de Timer
-- Type 1 = Timer permanent principal
-- Type 2 = Timer permanent
-- Type 3 = Timer de cooldown
-- Type 4 = Timer de maldiction
-- Type 5 = Timer de combat

NECROSIS_ITEM = {
	["Soulshard"] = "Soul Shard",
	["Soulstone"] = "Soulstone",
	["Healthstone"] = "Healthstone",
	["Spellstone"] = "Spellstone",
	["Firestone"] = "Firestone",
	["Offhand"] = "Held In Off-hand",
	["Twohand"] = "Two-Hand",
	["InfernalStone"] = "Infernal Stone",
	["DemoniacStone"] = "Demonic Figurine",
	["Hearthstone"] = "Hearthstone",
	["SoulPouch"] = {"Soul Pouch", "Felcloth Bag", "Core Felcloth Bag"}	
};


NECROSIS_STONE_RANK = {
	[1] = "Minor",		-- Rank Minor
	[2] = "Lesser",		-- Rank Lesser
	[3] = "",		-- Rank Intermediate, no name
	[4] = "Greater",	-- Rank Greater
	[5] = "Major"		-- Rank Major
};

NECROSIS_NIGHTFALL = {
	["BoltName"] = "Bolt",
	["ShadowTrance"] = "Shadow Trance"
};

NECROSIS_CREATE = {
	["Soulstone"] = "Create Soulstone",
	["Healthstone"] = "Create Healthstone",
	["Spellstone"] = "Create Spellstone",
	["Firestone"] = "Create Firestone"
};

NECROSIS_PET_LOCAL_NAME = {
	["Imp"] = "Imp",
	["Void"] = "Voidwalker",
	["Succubus"] = "Succubus",
	["Fel"] = "Felhunter",
	["Inferno"] = "Inferno",
	["Doomguard"] = "Garde funeste"
};

NECROSIS_TRANSLATION = {
	["Cooldown"] = "Cooldown",
	["Hearth"] = "Hearthstone",
	["Rank"] = "Rank",
	["Invisible"] = "nvisibility",
	["LesserInvisible"] = "esser",
	["GreaterInvisible"] = "reater",
	["SoulLinkGain"] = "You gain Soul Link.",
	["SacrificeGain"] = "You gain Sacrifice.",
	["SummoningRitual"] = "Ritual of Summoning"
};

end
